> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udtypography.md).

# New-UDTypography

New-UDTypography muestra texto con estilo, con una variante, una alineación y un grosor de fuente configurables en un panel de PowerShell Universal.

### Sinopsis

La tipografía le permite configurar y mostrar texto.

### Sintaxis

```powershell
New-UDTypography [-Id <String>] [-Variant <String>] [[-Text] <String>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]

New-UDTypography [-Id <String>] [-Variant <String>] [-Content <ScriptBlock>] [-Style <Hashtable>] [-ClassName <String>] [-Align <String>] [-GutterBottom] [-NoWrap] [-Truncate] [-FontWeight <String>] [-Sx <Hashtable>] [<CommonParameters>]
```

### Descripción

Crea tipografía. La tipografía le permite configurar el texto dentro de un panel.

### Parámetros

#### -Id

El ID del componente. De forma predeterminada, es un GUID aleatorio.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

El tipo de texto que se va a mostrar.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

El texto que se va a formatear.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Content

El contenido que se va a formatear.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Un conjunto de estilos CSS que se aplicarán a la tipografía.

```
Required?                    false
Position?                    named
Default value                @{}
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Un className CSS que se aplicará a la tipografía.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Align

Cómo alinear la tipografía.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -GutterBottom

El margen inferior.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -NoWrap

Desactiva el ajuste de texto.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Truncate

Desactiva el ajuste de texto y añade puntos suspensivos para el desbordamiento.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -FontWeight

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Sx

Tabla hash de estilos basada en el tema.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parámetros comunes

Este cmdlet admite los parámetros comunes: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable y OutVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Salidas

### Ejemplos

#### Ejemplo 1: tipografía básica

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Id "typography1"
```

Un componente de tipografía básico que muestra un encabezado.

#### Ejemplo 2: tipografía con estilo

```powershell
New-UDTypography -Text "Hello World" -Variant "h1" -Style @{color = "red"} -Id "typography2"
```

Un componente de tipografía que muestra un encabezado de color rojo.

#### Ejemplo 3: alineación

```powershell
New-UDTypography -Text "Hello World" -Id "typography3" -Align "center"
```

Un componente de tipografía que se muestra con alineación centrada.

#### Ejemplo 4: margen inferior

```powershell
New-UDTypography -Text "Hello World" -Id "typography4" -GutterBottom
```

Un componente de tipografía que se muestra con un espacio debajo del texto.

#### Ejemplo 5: sin ajuste de texto

```powershell
New-UDTypography -Text "Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World! Hello World!" -Id "typography5" -NoWrap
```

Un componente de tipografía que se muestra sin ajuste de texto.

#### Ejemplo 6: grosor de fuente

```powershell
New-UDTypography -Text "Hello World" -Id "typography6" -FontWeight "bold"
```

Un componente de tipografía que se muestra con un grosor de fuente en negrita.

#### Ejemplo 7: sx

```powershell
New-UDTypography -Text "Hello World" -Id "typography11" -Sx @{color = "red"}
```

Un componente de tipografía que se muestra de color rojo mediante la propiedad sx del tema.

#### Ejemplo 8: contenido

```powershell
New-UDTypography -Id "typography12" -Content {
    New-UDButton -Text "Click Me" -Id "button1"
}
```

Un componente de tipografía que se muestra con un botón dentro.

#### Ejemplo 9: variantes

```powershell
@("h1", "h2", "h3", "h4", "h5", "h6", "subtitle1", "subtitle2", "body1", "body2",  "caption", "button", "overline", "srOnly", "inherit",  "display4", "display3", "display2", "display1", "headline", "title", "subheading") | ForEach-Object {
      New-UDTypography -Variant $_ -Text $_ -GutterBottom
      New-UDElement -Tag 'p' -Content {}
}
```

Un componente de tipografía que muestra todas las variantes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udtypography.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
